//
//  ViewController.swift
//  gestureRecognizer_doubleTap
//
//  Created by yoshiyuki oshige on 2015/10/23.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // ダブルタップで実行する
    @IBAction func doubleTapFlower(sender: UITapGestureRecognizer) {
        // タップされたビュー
        let flower = sender.view!
        // 変形していないかどうか
        if CGAffineTransformIsIdentity(flower.transform)  {
            // ３倍に拡大する
            flower.transform = CGAffineTransformMakeScale(3, 3)
        } else {
            // 元に戻す
            flower.transform = CGAffineTransformIdentity
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

